ELINK(1)

NAME
elink - look up related NCBI Entrez records

SYNOPSIS
elink (edirect -link) [-help] [-related] [-target dbname] [-name name] [-db name] [-id ID(s)] [-input filename] [-cmd command] [-holding provider] [-cited] [-cites] [-batch]

DESCRIPTION
elink follows links between Entrez databases, either extending an existing edirect(1) pipeline or honoring explicit -db and -id (or -input) options. It has two implementations: a shell implementation on top of nquire(1) and a historical Perl implementation that amounts to running edirect -link, enabled by setting the environment variable USE_NEW_EDIRECT to a false value as described in the ENVIRONMENT section. Some options are implementation-specific, as detailed below.

OPTIONS

  Destination Database

-related
    Look up neighbors in the same database.

-target dbname
    Follow links to another database.

-name name
    Follow an explicit link name such as pubmed_protein_refseq, pubmed_pubmed_citedin, or pubmed_pubmed_refs.

  Direct Record Selection

-db name
    Entrez database name for immediate lookups.

-id ID(s)
    Unique identifier(s) for immediate lookups.

-input filename (shell implementation only)
    Read identifer(s) from file instead of standard input.

  Advanced Control

-cmd command
    Command type (returns eLinkResult XML):
    history (shell implementation only)
        Save results in Entrez history server
    neighbor
        Neighbors or links
    neighbor_score
        Neighbors with computed similarity scores
    acheck
        All links available
    ncheck
        Existence of neighbors
    lcheck
        Existence of external links (LinkOuts)
    llinks
        Non-library LinkOut providers
    llinkslib (Perl) or llibs (shell)
        All LinkOut providers
    prlinks
        Primary LinkOut provider.

-holding provider (Perl implementation only)
    Name of LinkOut provider.

  PubMed Citation Lookup

-cited
    References to this paper.

-cites
    Publication reference list.

  Batch Processing

-batch (Perl implementation only)
    Bypass Entrez history mechanism.

  Miscellaneous Arguments

-help
    Print usage information.

ENVIRONMENT

USE_NEW_EDIRECT
    Whether to use the current shell implementation or revert to the historical Perl implementation. Canonical true values are 1, on (case-insensitive), true (case-insensitive), and yes (case-insensitive); canonical false values are 0, off (case-insensitive), false (case-insensitive), and no (case-insensitive).

SEE ALSO
bt-link(1), edirect(1), einfo(1), epost(1), nquire(1), protein-neighbors(1), xplore(1).